<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
HashDatabase..::.TruncateUnusedPages Method
HashDatabase Class See Also Send Feedback

Return pages to the filesystem that are already free and at the end of the file.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public uint TruncateUnusedPages()

Visual Basic (Declaration)

    Public Function TruncateUnusedPages As UInteger

Visual C++

    public:
    unsigned int TruncateUnusedPages()

#### Return Value

The number of database pages returned to the filesystem

# See Also

HashDatabase Class
TruncateUnusedPages Overload
BerkeleyDB Namespace